#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Secret.Objects.Item where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Item = Item (ManagedPtr Item)
instance GObject Item where
class (GObject o, O.IsDescendantOf Item o) => IsItem o
instance (GObject o, O.IsDescendantOf Item o) => IsItem o
instance O.HasParentTypes Item
#if ENABLE_OVERLOADING
data ItemCreatedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ItemLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ItemLockedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ItemModifiedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ItemServicePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ItemDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemDeleteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemDeleteSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetCreatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetLockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetSchemaNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetSecretMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemGetServiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemLoadSecretMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemLoadSecretFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemLoadSecretSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemRefreshMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetAttributesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetAttributesSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetLabelFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetLabelSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetSecretMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetSecretFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ItemSetSecretSyncMethodInfo
#endif
